Changes in 4.6.13.2

1)  Update release documents.

2)  Delete default route in main table if load= or fallback=

Changes in 4.6.13.1

1)  Update release documents.

2)  Correct 'reset' handling

3)  Add the TCP meta-connection to the Tinc macro and tunnel type.

Changes in 4.6.13 Final

1)  Update release documents.

2)  Allow non-expoerts access to the user bits in the fw mark.

Changes in 4.6.13 RC 1

1)  Update release documents.

2)  Unconditionally get inline matches.

Changes in 4.6.13 Beta 2

1)  Update release documents.

2)  Restore tcrules conversion.

3)  Place a header on a newly-created mangle file.

Changes in 4.6.13 Beta 1

1)  Update release documents.

2)  Correct 'rules' man pages.

3)  Correct parsing of IPv6 ranges

4)  Correct the shorewall6-hosts(5) manpage.

6)  Improve update

7)  Allow 'second' and 'minute' in LOGLIMIT specifications

8)  Update -t also converts the TOS file

9)  Fix INLINE(...):...

Changes in 4.6.12.1

1)  Update release documents.

2)  Correct a warning message.

3)  Attempt a 'restore' after a fatal error during start/restart.

Changes in 4.6.12 Final

1)  Update release documents.

2)  Correct an error message.

3)  Use NYTProf as the profiler

Changes in 4.6.12 RC 3

1)  Fully activate the new update options.

Changes in 4.6.12 RC 2

1)  Update release documents.

2)  Update module versions.

3)  Allow =0 on multi-zone interfaces

4)  Port 'update' improvements from 5.0.0.

Changes in 4.6.12 RC 1

1)  Update release documents.

2)  Add Debian-specific .service files

3)  Create dual shorewallrc files for Debian

Changes in 4.6.12 Beta 1

1)  Update release documents.

2)  Enhance compiler() progress message.

3)  Make script generations repeatable.

Changes in 4.6.11 Final

1)  Update release documents.

2)  Clean up PATH fix.

3)  Change shorewall6.conf to specify INLINE_MATCHES=No.

Changes in 4.6.11 RC 1

1)  Update release documents.

2)  Allow selection in 'show connections'

3)  Ensure that the compiler has a usable PATH

4)  Correctly handle IPv4 DHCP incoming requests with 'rpfilter'.

Changes in 4.6.11 Beta 3

1)  Update release documents.

2)  Correct the test for ordinary user accessing the default config.

3)  Eliminated the usage() function in lib.cli-std

4)  Don't get script's version if it was just compiled

5)  Append default PATH to the active PATH in the compiler.

Changes in 4.6.11 Beta 2

1)  Update release documents.

2)  Don't invoke 'postcompile' when compilation isn't done.

Changes in 4.6.11 Beta 1

1)  Update release documents.

2)  Add WORKAROUNDS option

3)  Merge Tuomo's fixes.

4)  Fix 'compile -c' progress message

Changes in 4.6.10 Final

1)  Update release documents.

2)  Update Module Versions

3)  Tuomo Soini's fix to enable/disable.

Changes in 4.6.10 RC 1

1)  Update release documents.

2)  load= enhancements

3)  Indicate success when no ipsets are saved by the script

4)  load= corrections.

5)  IPv6 findgw.

Changes in 4.6.10 Beta 2

1)  Update release documents.

2)  Add queue-balance and queue-bypass options to NFQUEUE.

3)  Implement 'call' in the compiled program and externalize 'call' in
    the CLI.

Changes in 4.6.10 Beta 1

1)  Update release documents.

2)  Fix Shorewall-init bailing out when a product didn't start/stop

3)  Return exit status 6 for non-configured firewall.

4)  Don't require a helper for ctevents and expevents.

Changes in 4.6.9 Final

1)  Update release documents.

Changes in 4.6.9 RC 2

1)  Update release documents.

2)  Fix generated code.

    - Eliminate syntax error
    - Correct handling of required interfaces when 'wait' is specified.

Changes in 4.6.9 RC 1

1)  Update release documents.

2)  More detect_configuration() optimization.

3)  Add 'reenable' command.

4)  Fix helper capabilities detection.

Changes in 4.6.9 Beta 3

1)  Update release documents.

2)  Clarify how to avoid loading helper modules.

3)  Merge Tuomo Soini's QUIC macro.

4)  Merge Tuomo Soini's deprecation of the JabberSecure macro.

5)  Correct rule generated by SetEvent and ResetEvent.

6)  Optimize detect_configuration() for enable/disable.

Changes in 4.6.9 Beta 2

1)  Update release documents.

2)  Add brief mention of 'list' and 'ls' to the CLI manpages.

3)  Add complete syntax in the CLI manpages.

4)  Add Tuomo Soini's fixes for .service files.

Changes in 4.6.9 Beta 1

1)  Update release documents.

2)  Implement TCPMSS_TARGET capability.

Changes in 4.6.8 Final

1)  Update release documents.

2)  Apply Matt Darfeuille's uninstall fixes

Changes in 4.6.8 RC 1

1)  Update release documents.

2)  Correct the Shorewall-init installer.

3)  Apply nfw's fix for IP[6]TABLES in the conntrack file.

Changes in 4.6.8 Beta 3

1)  Update release documents.

2)  Implement ICMP handling in 'open' and 'close'

3)  Implement 'savesets' command.

4)  Allow comma-separated lists in the rtrules file.

Changes in 4.6.8 Beta 2

1)  Update release documents.

2)  Improve the 'close' and 'show opens' commands.

Changes in 4.6.8 Beta 1

1)  Update release documents.

2)  Implement the 'open' and 'close' commands

Changes in 4.6.7 Final

1)  Update release documents.

Changes in 4.6.7 RC 1

1)  Update release documents.

Changes in 4.6.7 Beta 1

1)  Update release documents.

2)  Add 'tinc' tunnel support.

3)  Add <timeout> parameter to SAME.

4)  Implement ADD and DEL in the mangle file.

Changes in 4.6.6.2

1)  Update release documents.

2)  Clarify Zone Exclusion

3)  Correct handling of +set[n]

4)  Apply Orion Paplawski's MODULE_SUFFIX patch.

5)  Update MODULE_SUFFIX="ko ko.xz" in samples.

Changes in 4.6.6.1

1)  Update release documents.

2)  Allow SAVE and RESTORE in the INPUT chain.

3)  Correct manpage descriptions of mangle SAVE and RESTORE

4)  Protect 'enable' and 'disable' with mutex

5)  Change the installation default value of INLINE_MATCHES

6)  Correct the file name in mangle split_line error messages

7)  Propagate the LOCKFILE setting to the generated script

Changes in 4.6.6 Final

1)  Update release documents.

2)  Apply Tuomo Soini's fix for Shorewall-init.

3)  Make leading 'SHELL' case sensitive.

4)  Zabbix Macro from Tuomo Soini.

5)  Tinc Macro from Răzvan Sandu.

Changes in 4.6.6 RC 1

1)  Update release documents.

2)  Add 'primary' provider option.

3)  Correct ipset names in port columns.

Changes in 4.6.6 Beta 3

1)  Update release documents.

2)  Add the 'loopback' interface option.

3)  Use 'Iface match' for loopback interfaces where practical.

Changes in 4.6.6 Beta 2

1)  Update release documents.

2)  Document the -c option to the 'dump' and 'show routing' commands.

3)  Implement the 'TARPIT' target.

Changes in 4.6.6 Beta 1

1)  Update release documents.

2)  Minor reorganization of Shorewall::Compiler::compiler()

3)  Cosmetic/commentary changes to Shorewall::Config

4)  Start firewall after network-online target has been reached

Changes in 4.6.5.3

1)  Update release documents.

2)  Correct shorewall-init scripts to use VARLIB rather than VARDIR
    (Roberto Sanchez)

3)  Correct handling of dynamic zones

4)  Correct handling of mark ranges

Changes in 4.6.5.2

1)  Update release documents.

2)  Fix IPv6 LOG_BACKEND=LOG

Changes in 4.6.5.1

1)  Update release documents.

2)  Apply Alan Barrett's dhclient patch

3)  Make emacs sh-mode work better with lib.core

4)  Fix setting of options[SERVICEDIR] in configure

5)  Rename SYSTEMDDIR to SERVICEDIR in shorewallrc.*

6)  Eliminate redundant "/" in the installers

Changes in 4.6.5 Final

1)  Update release documents.

2)  Apply Thomas D's manpage fixes.

3)  Correct .service files.

Changes in 4.6.5 RC 1

1)  Update release documents.

2)  Correct a couple of defects in the -C code.

3)  Fix LOG_BACKEND on kernel 3.17.

Changes in 4.6.5 Beta 3

1)  Update release documents.

2)  Process params files with $SHOREWALL_SHELL.

3)  Implement the -C option.

Changes in 4.6.5 Beta 2

1)  Update release documents.

2)  Defect repair from the 4.6.4 branch.

3)  Allow both source and dest limits in the RATE LIMIT column.

Changes in 4.6.5 Beta 1

1)  Update release documents.

2)  Merge defect repair from 4.6.4.

Changes in 4.6.5 Beta 1

1)  Update release documents.

2)  New .service file strategy.

Changes in 4.6.4.1

1)  Update release documents

2)  Eliminate confusing output during 'save', 'safe-*' and 'try'
    commands.

3)  Remove 'optional' from the Universal interfaces file.

Changes in 4.6.4 Final

1)  Update release documents

Changes in 4.6.4 RC 1

1)  Update release documents

2)  Added FAQ 104 (kernel log messages during compile).

3)  Create INITD in the -lite installer.

4)  Don't link init script if there is none.

5)  Add -n option to the installers and uninstallers.

6)  Support SANDBOX in the installers and uninstallers.

7)  Correct many defects in the uninstallers.

Changes in 4.6.4 Beta 3

1)  Update release documents

2)  Allow SAVE_IPSETS to specify a list of ipset names.

3)  Document .spec and actions.std fixes.

3)  Packaging changes.

Changes in 4.6.4-Beta 2

1)  Update release documents

2)  Correct minor issue in a warning message.

3)  Implement LOG_BACKEND.

4)  Correct stoppedrules/ADMINISABSENTMINDED=No

Changes in 4.6.4-Beta 1

1)  Update release documents

2)  Install support for Centos 7 and Foobar 7

3)  Tweaks to .service files.

Changes in 4.6.3.4

1)  Update release documents

2)  Remove the 'optional' option from the Universal 'net' entry in
    interfaces.

3)  Don't check for required interfaces on 'stop' and 'clear'.

4)  Merge the defect repair from 4.6.2.5 into 4.6.3.

Changes in 4.6.3.3

1)  Update release documents

2)  Re-enable SECTION PREROUTING in the accounting file

3)  Eliminate many superfluous rules for tcpflags, nosmurfs and maclist

Changes in 4.6.3.2

1)  Update release documents

2)  Document the Goto-Meeting macro.

3)  Correct silly logic error

4)  Correct examples in actions manpages.

5)  Issue warning when /etc/iproute2/rt_tables is not writeable.

6)  Remove redundant help text output from -lite CLIs.

Changes in 4.6.3.1

1)  Update release documents

2)  Correct the u32 match string in action.DNSAmp.

3)  Clarify REJECT handling in IP[6]TABLES rules.

Changes in 4.6.3 Final

1)  Update release documents.

2)  Apply Thomas D's fix for SAVE_IPSETS on Debian.

Changes in 4.6.3 RC 1

1)  Update release documents.

2)  Minor code and documentation cleanup.

3)  Defect repair from 4.6.2.5.

hanges in 4.6.3 Beta 2

1)  Update release documents.

2)  Add DNSAmp action

3)  Allow inline matches in action bodies (from 4.6.2.4)

4)  Allow physical names to be used in the INTERFACE column of the
    providers file.

Changes in 4.6.3 Beta 1

1)  Update release documents.

2)  Describe new helper assignment in the FTP article.

3)  Merge defect repair from 4.6.2.3.

4)  Implement the 'run' command.

Changes in 4.6.2.2

1)  Update release documents.

2)  Detect Header Match when LOAD_MODULES_ONLY = No.

3)  Correct IPv6 ipset support detection on later kernels.

4)  Correct detection of the Ipset Counter capability. 

5)  Detect Arptables JF when LOAD_MODULES_ONLY = No.

6)  Update the tcfilter manpages to mention BASIC_FILTER

Changes in 4.6.2.1

1)  Update release documents.

2)  Two issues with tcrules processing were corrected.

Changes in 4.6.2 Final

1)  Update release documents.

Changes in 4.6.2 RC 1

1)  Update release documents.

2)  Allow specification of the GATEWAY MAC address.

3)  Fix some brokenness in installation under Cygwin.

Changes in 4.6.2 Beta 2

1)  Update release documents.

2)  Update Events.xml with a stateful port knocking example.

3)  Apply Thibaut Chèze's patch for DSCP names.

4)  Allow SAVE/RESTORE rules in the OUTPUT chain.

5)  Add ILO macro from Tuomo Soini.

6)  Apply Tuomo Soini's patch to add additional ports to the IPMI
    macro.

Changes in 4.6.2 Beta 1

1)  Update release documents.

2)  Implement 'status -i'

3)  Implement 'show bl'

4)  Add TIME column to the mangle file

Changes in 4.6.1.3

1)  Update release documents.

2)  Correct handling of DSCP class names.

3)  Allow SAVE and RESTORE in the output chain. 

Changes in 4.6.1.3

1)  Update release documents.

2)  Correct the compiler's handling of IfEvent.

Changes in 4.6.1.2

1)  Update release documents.

2)  Correct 'masq' manpages.

3)  Allow INLINE_MATCHES=Yes with AUTOHELPERS=No to work correctly.

Changes in 4.6.1.1

1)  Update release documents.

2)  Raise an error when a server list is specified in a DNAT or
    REDIRECT rule.

3)  Correct Shorewall-init Debian init script

Changes in 4.6.1

1)  Update release documents.

2)  New Macros

3)  Apply pi-Rho's fix for rpfilter vs. dynamic chain.

Changes in 4.6.0.3

1)  Update release documents.

2)  Fix RHEL7 installation of Shorewall-init.

3)  Merge content from 4.5.21.10

Changes in 4.6.0.2

1)  Update release documents.

2)  Correct handling of tcrules upgrade with 'upgrade -A'.

3)  Apply Tuomo Soini's whitespace patch.

4)  Extend Orion Poplawski's RHEL7 patch.

5)  Add FAQ 2e.

6)  Update Support article.

7)  Fix shorewall-masq SOURCE description

Changes in 4.6.0.1

1)  Update release documents.

2)  Correct CHECKSUM handling.

3)  Apply Simon Mater's cosmetic changes to 'mangle' file.

4)  Correct chain designator editing.

Changes in 4.6.0 Final

1)  Update release documents.

2)  Upgrade IPv6 actions to FORMAT-2.

Changes in 4.6.0 RC 3

1)  Update release documents.

2)  Deprecate FORMAT-1 actions and macros.

Changes in 4.6.0 RC 2

1)  Update release documents.

2)  Add additional tabs to mangle files.

3)  Add link from Multi-ISP to packet marking.

4)  Updated the installers to install the .service files with mode 644
    rather than 600.

Changes in 4.6.0 RC 1

1)  Update release documents.

2)  Make LOAD_HELPERS_ONLY=Yes the default.

3)  Merge 4.5.21.8/9 defect repair.

4)  Improve host interface inheritance.

Changes in 4.6.0 Beta 6

1)  Update release documents.

2)  Merge 4.5.21.7 defect repair.

Changes in 4.6.0 Beta 5

1)  Update release documents.

2)  Add -t and -A update options.

3)  Implemented the BASIC_FILTERS option.

4)  Documentation updates.

Changes in 4.6.0 Beta 4

1)  Update release documents.

2)  Defect repair for issues reported by testers.

3)  Support ipset lists in the tcfilters file.

4)  Cocument ipset use in tcfilters.

5)  Corrected 'dump' help text

Changes in 4.6.0 Beta 3

1)  Update release documents.

2)  Merge defect repair from Shorewall 4.5.21.6.

3)  Implement basic filter generation in the tcfilters file.

Changes in 4.6.0 Beta 2

1)  Update release documents.

2)  Make tcpflags the default.

3)  ipset names in PORT columns.

4)  ipset extensions.

5)  DROP in stoppedrules

Changes in 4.6.0 Beta 1

1)  Update release documents.

2)  Change ZONE2ZONE default.

3)  Implement ?SECTION

4)  Finish INLINE in tcrules.

5)  Add INLINE to masq.

6)  Implement INLINE_MATCHES

7)  Implement IP[6]TABLES actions in several files.
